/*
  This file is a part of Prime Crawler,
  Copyright (C) 2009, Melikamp.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  without any warranty; compiling, interpreting, executing or merely
  reading the text of the program may result in lapses of consciousness
  and/or very being, up to and including the end of all existence and
  the Universe as we know it.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License
  along with this program (most likely, a file named COPYING).
  If not, see <http://www.gnu.org/licenses/>.
*/

/* This file demonstrates the use of the PrimeCrawler class. */

#include "prime-crawler.h++"

using namespace std;

int main(int argc, char **argv){

  /* Create a (default) PRNG with 23 lines.
     log(10, period) = 34.075 and log(2, period) = 113.195,
     A lower bound on the memory footprint is 8649 bytes.
  */
  PrimeCrawler pc;

  cout << "Your lucky numbers are ";

  /* pc.rand() returns a pseudo-random unsigned long int. */
  { int i;
    for(i=0; i<7; i++)
      cout << pc.rand() % 7 << " ";
    cout << endl;
  }

  return 0;
}
